Botan 1.10.17

Public Member Functions | List of all members
Botan::TLS_Exception Class Reference

`#include <tls_exceptn.h>`

Inheritance diagram for Botan::TLS_Exception:

## Public Member Functions
| TLS_Exception (Alert_Type type, const std::string &err_msg="Unknown error")
Alert_Type | type () const throw ()

## Detailed Description

Exception Base Class

Definition at line 19 of file tls_exceptn.h.

## Constructor & Destructor Documentation

## ◆ TLS_Exception()

Botan::TLS_Exception::TLS_Exception | ( | Alert_Type | type,
|  | const std::string & | err_msg = `"Unknown error"`
| ) |  |
| inline

Definition at line 24 of file tls_exceptn.h.

25 :
26 Exception(err_msg), alert_type(type) {}
Botan::Exception
std::runtime_error Exception
Definition: exceptn.h:19
Botan::TLS_Exception::type
Alert_Type type() const
Definition: tls_exceptn.h:22

## Member Function Documentation

## ◆ type()

Alert_Type Botan::TLS_Exception::type | ( |  | ) | const
throw | ( |
| ) |  |
| inline

Definition at line 22 of file tls_exceptn.h.

22 { return alert_type; }

The documentation for this class was generated from the following file:

- src/ssl/tls_exceptn.h